aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--doc/man/get_hkl.120
-rwxr-xr-xscripts/create-mtz47
-rwxr-xr-xscripts/create-xscale61
3 files changed, 36 insertions, 92 deletions
diff --git a/doc/man/get_hkl.1 b/doc/man/get_hkl.1
index f2ddd3eb..071a5b8d 100644
--- a/doc/man/get_hkl.1
+++ b/doc/man/get_hkl.1
@@ -1,7 +1,7 @@
.\"
.\" get_hkl man page
.\"
-.\" Copyright © 2012-2020 Deutsches Elektronen-Synchrotron DESY,
+.\" Copyright © 2012-2021 Deutsches Elektronen-Synchrotron DESY,
.\" a research centre of the Helmholtz Association.
.\"
.\" Part of CrystFEL - crystallography with a FEL
@@ -19,7 +19,9 @@ get_hkl \- manipulate reflection data
.SH DESCRIPTION
get_hkl performs various manipulations on reflection lists. Possible manipulations include: expanding to a point group of lower symmetry, 'twinning' to a point group of higher symmetry, adding noise, restricting the list to contain only reflections included in another 'template' list, and some less common miscellaneous manipulations.
.PP
-The input filename should be specified with \fB-i\fR \fIfilename\fR or \fB--input=\fR\fIfilename\fR. The output filename should be specified with \fB-o\fR \fIfilename\fR or \fB--output=\fR\fIfilename\fR. The symmetry of the input reflection list should be specified with \fB-y\fR \fIpointgroup\fR or \fB--symmetry=\fR\fIpointgroup\fR. Beyond these parameters, you can choose one of the manipulations described below. The behaviour if multiple manipulations are requested is deliberately left undefined: it's much clearer to perform multiple manipulations in explicit separate steps.
+The input filename should be specified with \fB-i\fR \fIfilename\fR or \fB--input=\fR\fIfilename\fR. The output filename should be specified with \fB-o\fR \fIfilename\fR or \fB--output=\fR\fIfilename\fR. Beyond these parameters, you can choose one of the manipulations described below.
+.PP
+The behaviour if multiple manipulations are requested is undefined. Perform multiple manipulations in explicit separate steps instead.
.PD 0
.IP "\fB-p\fR \fIunitcell.cell\fR"
@@ -28,6 +30,11 @@ The input filename should be specified with \fB-i\fR \fIfilename\fR or \fB--inpu
.PD
Specify the name of the file containing unit cell information, in PDB or CrystFEL format.
+.SH CHOOSING THE OUTPUT FORMAT
+.IP \fB--output-format=\fIformat\fR
+.PD
+The output file will be written in \fIformat\fR, which can be \fBmtz\fR or \fBxds\fR. If you omit this option, the output will be in the usual CrystFEL reflection list format.
+
.SH EXPANDING REFLECTIONS INTO A POINT GROUP OF LOWER SYMMETRY
.PD 0
.IP "\fB-e\fR \fIpointgroup\fR"
@@ -92,6 +99,13 @@ The option \fB--lowres\fR will remove reflections with d > \fIn\fR. \fB--highre
.PD
Reindex the reflections according to \fIop\fR. Example: \fB--reindex=k,h,-l\fR.
+.SH OVERRIDING THE INPUT SYMMETRY
+.PD 0
+.IP "\fB-y \fIpg\fR"
+.IP \fB--symmetry=\fIpg\fR
+.PD
+Use \fIpg\fR for the symmetry of the input data. In almost all cases, you should omit this option which will cause the program to use the point group recorded in the headers of the input data.
+
.SH AUTHOR
This page was written by Thomas White.
@@ -99,7 +113,7 @@ This page was written by Thomas White.
Report bugs to <taw@physics.org>, or visit <http://www.desy.de/~twhite/crystfel>.
.SH COPYRIGHT AND DISCLAIMER
-Copyright © 2012-2020 Deutsches Elektronen-Synchrotron DESY, a research centre of the Helmholtz Association.
+Copyright © 2012-2021 Deutsches Elektronen-Synchrotron DESY, a research centre of the Helmholtz Association.
.P
get_hkl, and this manual, are part of CrystFEL.
.P
diff --git a/scripts/create-mtz b/scripts/create-mtz
index add9f093..4f10f88f 100755
--- a/scripts/create-mtz
+++ b/scripts/create-mtz
@@ -1,42 +1,11 @@
#!/bin/sh
-# When you've edited the relevant parameters, delete this comment and the following two lines
-echo "You need to edit this script first, to set the space group and cell parameters."
+echo -------------------------------------------------------------
+echo
+echo In this CrystFEL version, MTZ export is now done via get_hkl:
+echo get_hkl -i file.hkl -p my.cell -o out.mtz --output-format=mtz
+echo
+echo Alternatively, use the Export Data function of the CrystFEL GUI
+echo
+echo -------------------------------------------------------------
exit 1
-
-OUTFILE=`echo $1 | sed -e 's/\.hkl$/.mtz/'`
-
-echo " Input: $1"
-echo "Output: $OUTFILE"
-if [ -e $OUTFILE ]; then
- echo " The output file already exists:"
- echo " " $OUTFILE
- echo " To confirm that you want to continue, which will DESTROY the"
- echo " current contents of this file, type 'y' and press enter."
- read conf
- if [ $conf != y ]; then
- echo "Not confirmed."
- exit 1
- else
- echo "Proceeding"
- fi
-fi
-
-sed -n '/End\ of\ reflections/q;p' $1 > create-mtz.temp.hkl
-
-echo "Running 'f2mtz'..."
-f2mtz HKLIN create-mtz.temp.hkl HKLOUT $OUTFILE > out.html << EOF
-TITLE Reflections from CrystFEL
-NAME PROJECT wibble CRYSTAL wibble DATASET wibble
-CELL 100 100 100 90 90 90
-SYMM P1
-SKIP 3
-LABOUT H K L IMEAN SIGIMEAN
-CTYPE H H H J Q
-FORMAT '(3(F4.0,1X),F10.2,10X,F10.2)'
-EOF
-
-if [ $? -ne 0 ]; then echo "Failed."; exit; fi
-
-rm -f create-mtz.temp.hkl
-echo "Done."
diff --git a/scripts/create-xscale b/scripts/create-xscale
index 6d9def4a..b0e8aef1 100755
--- a/scripts/create-xscale
+++ b/scripts/create-xscale
@@ -1,50 +1,11 @@
-#!/usr/bin/perl -w
-
-use strict;
-
-# When you've edited the relevant parameters, delete this comment and the
-# following two lines
-printf("You need to edit this script first, to set the space group and ".
- "cell parameters.\n");
-exit(1);
-
-open(FH, $ARGV[0]);
-
-printf("!FORMAT=XDS_ASCII MERGE=TRUE FRIEDEL'S_LAW=TRUE\n");
-printf("!SPACE_GROUP_NUMBER=182\n");
-printf("!UNIT_CELL_CONSTANTS= 281.00 281.00 165.00 90.000 90.000 120.000\n");
-printf("!NUMBER_OF_ITEMS_IN_EACH_DATA_RECORD=5\n");
-printf("!X-RAY_WAVELENGTH= -1.0\n");
-printf("!ITEM_H=1\n");
-printf("!ITEM_K=2\n");
-printf("!ITEM_L=3\n");
-printf("!ITEM_IOBS=4\n");
-printf("!ITEM_SIGMA(IOBS)=5\n");
-printf("!END_OF_HEADER\n");
-
-my $line;
-while ( $line = <FH> ) {
-
- chomp($line);
-
- if ( $line =~ /^\s+([0-9\-]+)\s+([0-9\-]+)\s+([0-9\-]+)\s+([0-9\.\-]+)\s+([\-]+)\s+([0-9\.\-]+)/ ) {
-
- my $h = $1;
- my $k = $2;
- my $l = $3;
- my $int = $4;
- my $sig = $6; # Yes, it's meant to be $6 not $5 ($5 is phase)
-
- printf("%6i %6i %5i %9.2f %9.2f\n", $h, $k, $l, $int, $sig);
-
- } else {
-
- printf(STDERR "Unrecognised: '%s'\n", $line);
-
- }
-
-}
-
-printf("!END_OF_DATA");
-
-close(FH);
+#!/bin/sh
+
+echo -------------------------------------------------------------
+echo
+echo In this CrystFEL version, XDS export is now done via get_hkl:
+echo get_hkl -i file.hkl -p my.cell -o out.hkl --output-format=xds
+echo
+echo Alternatively, use the Export Data function of the CrystFEL GUI
+echo
+echo -------------------------------------------------------------
+exit 1